Package org.eclipse.cdt.core.dom

# Interface IPDOMIndexer

public interface IPDOMIndexer

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IPDOMIndexerTask`
`createTask(ITranslationUnit[] added, ITranslationUnit[] changed, ITranslationUnit[] removed)`
Clients are not allowed to call this method, it is called by the framework.
`String`
`getID()`
Returns the unique ID of type of this indexer
`ICProject`
`getProject()`
Returns the project associated with the indexer.
`String`
`getProperty(String key)`
Returns the value of a property.
`boolean`
`needsToRebuildForProperties(Properties props)`
Clients are not allowed to call this method, it is called by the framework.
`void`
`setProject(ICProject project)`
Sets the project for which to build the index.
`void`
`setProperties(Properties props)`
Clients are not allowed to call this method, it is called by the framework.

## Method Details

### setProject

void setProject(ICProject project)
Sets the project for which to build the index.

### getProject

ICProject getProject()
Returns the project associated with the indexer.

### getID

String getID()
Returns the unique ID of type of this indexer

### getProperty

String getProperty(String key)
Returns the value of a property.

Since:
  4.0

### setProperties

void setProperties(Properties props)
Clients are not allowed to call this method, it is called by the framework.

Since:
  4.0

### needsToRebuildForProperties

boolean needsToRebuildForProperties(Properties props)
Clients are not allowed to call this method, it is called by the framework. Used to check whether we need to reindex a project.

Since:
  4.0

### createTask

IPDOMIndexerTask createTask(ITranslationUnit[] added, ITranslationUnit[] changed, ITranslationUnit[] removed)
Clients are not allowed to call this method, it is called by the framework. Creates a task that handles the changes.

Since:
  4.0